shisa_key_update(3)

NAME
shisa_key_update - API function

SYNOPSIS
#include <shisa.h>

int shisa_key_update(Shisa * dbh, const char * realm, const char * principal, const Shisa_key * oldkey, const Shisa_key * newkey);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of the realm the principal belongs to.

const char * principal
    Name of the principal needing an updated key.

const Shisa_key * oldkey
    Pointer to a Shisa key structure giving matching criteria for locating the key to be updated.

const Shisa_key * newkey
    Pointer to a complete Shisa key structure, in which all fields are used for the new key. Note that oldkey normally has far fewer fields filled-in.

DESCRIPTION
Modifies data about a key stored in the database, a key belonging to the principal selected by principal and realm. First oldkey is used to locate the key to update, as does shisa_keys_find(). Then the found key is modified to carry whatever information is stored in newkey.

Not all elements of oldkey need to be filled out, only sufficiently many so as to uniquely identify the desired key. For example, if you want to modify the information stored about a unique key of etype 3, i.e., DES-CBC-MD5, then set the field key->etype to 3, leaving all other fields as zero.

RETURN VALUE
Returns SHISA_OK on success, SHISA_NO_KEY if no key could be located, SHISA_MULTIPLE_KEY_MATCH if more than a single key matched the given criteria, or an error code otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.